Bug 617534 - Disable SCSI and usb-storage
Disable SCSI and usb-storage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-23 07:33 EDT by Markus Armbruster
Modified: 2013-01-09 17:56 EST (History)
8 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.100.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:26:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2010-07-23 07:33:04 EDT
Description of problem:

Reasons for not wanting to ship SCSI:

* We actively track and backport fixes to IDE and virtio, but not SCSI.

* We test IDE and virtio extensively, but not SCSI.

* usb-storage is SCSI under the hood.  It doesn't work reliably.

* Consequently, we support neither SCSI nor usb-storage.

* But we're about to ship them anyway.

I think this is a much more serious issue than VLANs (bug 601226):

1. The chief concerns with VLANs are "only" performance and long-term maintainability, not "it may eat your data".  While we're not aware of specific bugs in the SCSI emulation causing silent data loss, we wouldn't want to bet valuable data on it.  usb-storage is worse: it produces scary I/O errors in the guest (bug 561414), and is dog slow even when it works.

2. VLANs are much less visible to users.  It's one thing to have "running /usr/libexec/qemu-kvm is unsupported" in the release notes but "clicking on SCSI in the virt-manager menu is unsupported" is a different ball game.  A user can't reasonably expect that stuff in /usr/libexec is for him to run, so the fine print in the release notes won't catch reasonable users by surprise.  But users *can* reasonably expect that menu items are fine to click.

3. Same applies to libvirt API.  Users can reasonably expect that stuff available in the supported API actually works.

One of the main reasons for keeping VLANs in 6.0 despite they're unsupported is that uses have crept into the product.  Are there any known uses of SCSI or usb-storage?

Simple makefile tweaks suffice to get rid of SCSI completely.  A patch for that has been ACKed by developers already.
Comment 5 Miya Chen 2010-07-30 02:29:50 EDT
Test with qemu-kvm-0.12.1.2-2.104.el6,
# /usr/libexec/qemu-kvm -device usb-storage,?
qemu-kvm: -device usb-storage,?: Parameter 'driver' expects a driver name
Try with argument '?' for a list.
# /usr/libexec/qemu-kvm -device scsi-disk,?
qemu-kvm: -device scsi-disk,?: Parameter 'driver' expects a driver name
Try with argument '?' for a list.
# /usr/libexec/qemu-kvm -device scsi-generic,?
qemu-kvm: -device scsi-generic,?: Parameter 'driver' expects a driver name
Try with argument '?' for a list.

scsi and usb-storage have been disabled, so change status to verified.
Comment 6 releng-rhel@redhat.com 2010-11-10 16:26:53 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.
Comment 7 Gianluca Cecchi 2011-03-23 13:59:11 EDT
Hello,
it seems that the problem persists in
qemu-kvm-0.12.1.2-2.113.el6_0.8.x86_64
and the bug has to be opened again...

the default disk type is indeed virtio if I select "rh el 5.4 or later" as os.
But I have scsi option (and usb option) in virt-manager device-type when adding a disk or if I check the "customize configuration before install" option.
And when I try to start it I get the error message.

My guest is named bmrsource and in /var/log/libvirt/qemu/bmrsource.log I get:
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/libexec/qemu-kvm -S -M rhel6.0.0 -enable-kvm -m 512 -smp 1,sockets=1,cores=1,threads=1 -name bmrsource -uuid bca345e2-2713-c304-85f9-dae7a7f3834c -nodefconfig -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/bmrsource.monitor,server,nowait -mon chardev=monitor,mode=control -rtc base=localtime -boot dc -device lsi,id=scsi0,bus=pci.0,addr=0x4 -drive file=/vmiso/rhel-server-5.6-x86_64-dvd.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=/dev/VG_VIRT02/bmrsource,if=none,id=drive-scsi0-0-0,boot=on,format=raw,cache=writeback -device scsi-disk,bus=scsi0.0,scsi-id=0,drive=drive-scsi0-0-0,id=scsi0-0-0 -drive file=/vmiso/ks_rhuni_16.fd,if=none,id=drive-fdc0-0-0,format=raw -global isa-fdc.driveA=drive-fdc0-0-0 -netdev tap,fd=20,id=hostnet0 -device e1000,netdev=hostnet0,id=net0,mac=52:54:00:d2:54:28,bus=pci.0,addr=0x3 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -vnc 127.0.0.1:1 -vga cirrus -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5 
char device redirected to /dev/pts/2
qemu-kvm: -device lsi,id=scsi0,bus=pci.0,addr=0x4: Parameter 'driver' expects a driver name
Try with argument '?' for a list.
Comment 8 Markus Armbruster 2011-03-24 03:18:25 EDT
Gianluca,

This bug is about disabling SCSI in QEMU.  It needed to be reopened if SCSI were enabled.  It isn't.

If I understand you correctly, your problem is that virt-manager still offers a SCSI option.  That's tracked as bug 653675, which see.  Other related bugs are bug 621933 and bug 669524.

Thanks!
Comment 9 Gianluca Cecchi 2011-03-24 04:04:29 EDT
ok, thanks for clarification!

Note You need to log in before you can comment on or make changes to this bug.